Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.condivisi.ws.vo
Class AttributiAutorizzativi

    java.lang.Object
      it.svimservice.nsisr.web.condivisi.ws.vo.AttributiAutorizzativi

    public class AttributiAutorizzativi

extends java.lang.Object

Contiene gli attributi di autorizzazione.

Field Summary
`private java.lang.String` | `identificativoServizio` Identificativo del servizio
`private java.lang.String` | `identificativoUtente` Identificativo dell'utente
`private java.lang.String` | `ruoloIstituzionale` Ruolo istituzionale dell'utente

Constructor Summary
`AttributiAutorizzativi()`

Method Summary
`java.lang.String` | `getIdentificativoServizio()`
`java.lang.String` | `getIdentificativoUtente()`
`java.lang.String` | `getRuoloIstituzionale()`
`void` | `setIdentificativoServizio(java.lang.String identificativoServizio)`
`void` | `setIdentificativoUtente(java.lang.String identificativoUtente)`
`void` | `setRuoloIstituzionale(java.lang.String ruoloIstituzionale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identificativoUtente

    @Facets(minLength=1L,
            maxLength=16L)
    private java.lang.String identificativoUtente

  Identificativo dell'utente

### ruoloIstituzionale

    @Facets(minLength=1L,
            maxLength=9L)
    private java.lang.String ruoloIstituzionale

  Ruolo istituzionale dell'utente

### identificativoServizio

    @Facets(minLength=1L,
            maxLength=60L)
    private java.lang.String identificativoServizio

  Identificativo del servizio

Constructor Detail

### AttributiAutorizzativi

    public AttributiAutorizzativi()

Method Detail

### getIdentificativoUtente

    public java.lang.String getIdentificativoUtente()

### setIdentificativoUtente

    public void setIdentificativoUtente(java.lang.String identificativoUtente)

### getRuoloIstituzionale

    public java.lang.String getRuoloIstituzionale()

### setRuoloIstituzionale

    public void setRuoloIstituzionale(java.lang.String ruoloIstituzionale)

### getIdentificativoServizio

    public java.lang.String getIdentificativoServizio()

### setIdentificativoServizio

    public void setIdentificativoServizio(java.lang.String identificativoServizio)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD